# Interface IndexedReferenceTypeError

Used when decoding an indexed parameter of reference (or tuple) type. These can't meaningfully be decoded, so instead they decode to an error, sorry.

#### Category

Generic errors

#### Hierarchy

- IndexedReferenceTypeError

- Defined in codec/lib/format/errors.ts:844

#####
Index

### Properties

kind
raw
type

## Properties

### kind

kind: "IndexedReferenceTypeError"

- Defined in codec/lib/format/errors.ts:845

### raw

raw: string

hex string

- Defined in codec/lib/format/errors.ts:850

### type

type: TupleType | ReferenceType

- Defined in codec/lib/format/errors.ts:846

Generated using TypeDoc